/*	Author :	Chad P. Bown and Meredith A. Crowley							*/
/*	First Draft: 	5 June 2012								*/
/*	Revised : 23 March 2014 									*/
/*	Desc : 	Estimation file for Table 3 of ``Emerging Economies, Trade Policy and Macroeconomic Shocks''		*/
/*	Input :	ee_tp_ms_estimation_data.dta */
/*	Output : Table3_03_23-2014.smcl	*/ 


clear
set mem 750m

version 7.0
#delimit ;
set more off; 

*cd "C:\mypath" 
*cd "C:\Users\wb261799\Documents\Estimation\Meredith\Developing_macro\data\annual_bilateral\";
cd "C:\Users\mc865\Documents\EmergingEconomies-RnR-JDE\developing-ad-sg-crisis\JDE_data_estimation_files_January2013\JDE_datafiles_tables3-6_January2013\";

#delimit;

log using Table3_03_23-2014, replace ;
set linesize 255 ;
/* ** FIRST SET UP THE DATA SET TO ONLY KEEP THE TOP TRADING PARTNERS OF EACH POLICY-IMPOSING COUNTRY *************************************************** */
#delimit;
clear;
use ee_tp_ms_estimation_data.dta;

gen G20_emerging=0;
gen other_emerging=0;

replace G20_emerging=1 if cty_code=="ARG" & (partner_code=="CHN" | partner_code=="BRA" | partner_code=="EUN" | partner_code=="ZAF" | partner_code=="KOR" | 
	partner_code=="RUS" | partner_code=="KAZ" | partner_code=="UKR" | partner_code=="TWN" | partner_code=="IND" | 
	partner_code=="IDN" | partner_code=="AUS" | partner_code=="CHE" | partner_code=="MYS" | partner_code=="PRY" |
	partner_code=="THA" | partner_code=="USA" );
	
replace G20_emerging=1 if cty_code=="BRA" & (partner_code=="CHN" | partner_code=="EUN" | partner_code=="KOR" | partner_code=="USA" | partner_code=="IND" | 
	partner_code=="PAK" | partner_code=="ARG" | partner_code=="MEX" | partner_code=="ZAF" | partner_code=="TWN" | 
	partner_code=="RUS" | partner_code=="CHL" | partner_code=="THA" | partner_code=="JPN" );
	

replace G20_emerging=1 if cty_code=="CHN" & (partner_code=="KOR" | partner_code=="USA" | partner_code=="JPN" | partner_code=="TWN" | partner_code=="EUN" | 
	partner_code=="RUS" | partner_code=="KAZ" | partner_code=="UKR" | partner_code=="THA" | partner_code=="SGP" | 
	partner_code=="IDN" | partner_code=="MYS" | partner_code=="IND" | partner_code=="SAU"  );
	
replace other_emerging=1 if cty_code=="COL" & (partner_code=="CHN" | partner_code=="TWN" | partner_code=="RUS" | partner_code=="EUN" | partner_code=="UKR" | 
	partner_code=="KAZ" | partner_code=="MEX" | partner_code=="USA" | partner_code=="BRA" | partner_code=="KOR" | 
	partner_code=="TTO" | partner_code=="IDN" | partner_code=="VNM" | partner_code=="CUB" | partner_code=="MYS" |
	partner_code=="THA" | partner_code=="VEN" );
	
replace G20_emerging=1 if cty_code=="IDN" & (partner_code=="CHN" | partner_code=="KOR" | partner_code=="IND" | partner_code=="JPN" | partner_code=="SGP" | 
	partner_code=="MYS" | partner_code=="RUS" | partner_code=="TWN" | partner_code=="THA" | partner_code=="UKR" | 
	partner_code=="EUN" | partner_code=="AUS" | partner_code=="TUR" | partner_code=="ARE" );
	
replace G20_emerging=1 if cty_code=="IND" & (partner_code=="CHN" | partner_code=="KOR" | partner_code=="EUN" | partner_code=="TWN" | partner_code=="IDN" | 
	partner_code=="USA" | partner_code=="THA" | partner_code=="RUS" | partner_code=="JPN" | partner_code=="MYS" | 
	partner_code=="ZAF" | partner_code=="SAU" | partner_code=="SGP" | partner_code=="IRN" | partner_code=="UKR" |
	partner_code=="CAN" | partner_code=="KAZ" | partner_code=="ARE"  );
	
replace G20_emerging=1 if cty_code=="MEX" & (partner_code=="CHN" | partner_code=="EUN" | partner_code=="BRA" | partner_code=="USA" | partner_code=="KOR" | 
	partner_code=="TWN" | partner_code=="COL" | partner_code=="ARG" | partner_code=="HKG" | partner_code=="PAK" | 
	partner_code=="CAN" | partner_code=="RUS"  | partner_code=="JPN" );
	
replace other_emerging=1 if cty_code=="MYS" & (partner_code=="IDN" | partner_code=="KOR" | partner_code=="EUN" | partner_code=="JPN" | partner_code=="THA" | 
	partner_code=="TWN" | partner_code=="PHL" | partner_code=="AUS" | partner_code=="CAN" | partner_code=="CHN" | 
	partner_code=="HKG" | partner_code=="IND" | partner_code=="USA");
	
replace other_emerging=1 if cty_code=="PER" & (partner_code=="CHN" | partner_code=="PAK" | partner_code=="BRA" | partner_code=="RUS" | partner_code=="UKR" | 
	partner_code=="TWN" | partner_code=="CHL" | partner_code=="EUN" | partner_code=="KAZ" | partner_code=="VNM" | 
	partner_code=="ARG" | partner_code=="IDN" | partner_code=="MEX" | partner_code=="COL" | partner_code=="IND"  | 
	 partner_code=="USA" );
	
replace other_emerging=1 if cty_code=="PHL" & (partner_code=="RUS" | partner_code=="TWN" | partner_code=="UKR" | partner_code=="CHN" | partner_code=="IDN" | 
	partner_code=="THA" | partner_code=="EUN" | partner_code=="HKG" | partner_code=="KOR" | partner_code=="MYS");
	
replace other_emerging=1 if cty_code=="THA" & (partner_code=="CHN" | partner_code=="EUN" | partner_code=="KOR" | partner_code=="JPN" | partner_code=="TWN" | 
	partner_code=="MYS" | partner_code=="IDN" | partner_code=="ARG" | partner_code=="DZA" | partner_code=="IND" | 
	partner_code=="KAZ" | partner_code=="RUS" | partner_code=="UKR" | partner_code=="VEN" | partner_code=="ZAF");
	
replace G20_emerging=1 if cty_code=="TUR" & (partner_code=="CHN" | partner_code=="IDN" | partner_code=="IND" | partner_code=="PAK" | partner_code=="KOR" | 
	partner_code=="RUS" | partner_code=="TWN" | partner_code=="HKG" | partner_code=="EUN" | partner_code=="THA" | 
	partner_code=="MYS" | partner_code=="EGY" | partner_code=="VNM" | partner_code=="SAU" | partner_code=="ISR"  );
	
replace G20_emerging=1 if cty_code=="ZAF" & (partner_code=="CHN" | partner_code=="EUN" | partner_code=="HKG" | partner_code=="IND" | partner_code=="USA" | 
	partner_code=="TWN" | partner_code=="TUR" | partner_code=="IDN" | partner_code=="THA" | partner_code=="AUS" | 
	partner_code=="RUS" | partner_code=="KOR" | partner_code=="PAK" | partner_code=="BRA"  );

keep if G20_emerging==1 | other_emerging==1;
	
tsset cty_partner year, yearly;
	
save intermediate, replace;


/* ********************************************** */
/* TABLE 3: BASELINE SPECIFICATION AND ROBUSTNESS CHECKS, 1995-2010 */
/* ********************************************** */

#delimit;
clear;
use intermediate;	
keep if G20_emerging==1 | other_emerging==1;
keep if twithin(1994,2011);

/* ********************************************** */
/* 1. BASELINE */
/* ********************************************** */

xi: nbreg all_init_prod_tariff pchg_rxr_lag1 
	rgdp_gr_lag1
	fgdp_gr_lag1 
	imp_gr_lag1
	year
	i.cty_partner, nolog irr;
	keep if e(sample)==1;
	
	sum all_init_prod_tariff all_init_prod pchg_rxr_lag1 rgdp_gr_lag1 fgdp_gr_lag1 imp_gr_lag1 chg_unemp_lag1 chg_equal_fract_lag1;

	predict count_model; 
	
	egen sd_rxr_lag1=sd(pchg_rxr_lag1);
	egen sd_rgdp_gr_lag1=sd(rgdp_gr_lag1);
	egen sd_fgdp_lag1=sd(fgdp_gr_lag1);
	egen sd_imp_gr_lag1=sd(imp_gr_lag1);  
	
	/*	MEAN + ONE STANDARD DEVIATION INCREASE IN RXR */

	/* save versions of the old data to change back for the other shocks */
	gen pchg_rxr_lag1_old=pchg_rxr_lag1;

	/* ****** Add a one s.d. shock to each observation ****** */

	replace pchg_rxr_lag1 = pchg_rxr_lag1_old+sd_rxr_lag1;
	predict count_pchg_rxr_lag1_sd;

	/*Revert to original data */
	replace pchg_rxr_lag1=pchg_rxr_lag1_old;

	/*	MEAN + ONE STANDARD DEVIATION DECREASE IN DOMESTIC real GDP growth */

	/* save versions of the old data to change back for the other shocks */
	gen rgdp_gr_lag1_old=rgdp_gr_lag1;				
				
	/* ****** Subtract a one s.d. shock to each observation ****** */
	
	replace rgdp_gr_lag1 = rgdp_gr_lag1_old-sd_rgdp_gr_lag1;
	predict count_rgdp_gr_lag1_sd;

	/*Revert to original data */
	replace rgdp_gr_lag1=rgdp_gr_lag1_old;
					
	/*	MEAN + ONE STANDARD DEVIATION DECREASE IN FOREIGN REAL GDP */

	/* save versions of the old data to change back for the other shocks */
	gen fgdp_gr_lag1_old=fgdp_gr_lag1;
	
	/* ****** Subtract a one s.d. shock to each observation ****** */
	replace fgdp_gr_lag1 = fgdp_gr_lag1_old-sd_fgdp_lag1;					

	predict count_fgdp_gr_lag1_sd;
	
	/*Revert to original data */
	replace fgdp_gr_lag1=fgdp_gr_lag1_old;
	
	/*	MEAN + ONE STANDARD DEVIATION INCREASE IN IMPORT GROWTH */
	
	/* save versions of the old data to change back for the other shocks */
	gen imp_gr_lag1_old=imp_gr_lag1;

	/* ****** Add a one s.d. shock to each observation ****** */

	replace imp_gr_lag1 = imp_gr_lag1_old+sd_imp_gr_lag1;
	predict count_imp_gr_lag1_sd;

	/*Revert to original data */
	replace imp_gr_lag1=imp_gr_lag1_old;
	
/*The next line of code generates the mean predicted count for each shocked specification.*/

collapse (mean) all_init_prod_tariff count_model count_pchg_rxr_lag1_sd count_rgdp_gr_lag1_sd count_fgdp_gr_lag1_sd
	count_imp_gr_lag1_sd;
	
	/* *** All emerging PREDICTION:  *** */
list all_init_prod_tariff count_model count_pchg_rxr_lag1_sd count_rgdp_gr_lag1_sd count_fgdp_gr_lag1_sd
	count_imp_gr_lag1_sd;

	
/* ************************* */
/* 2. UNEMPLOYMENT INSTEAD OF DOMESTIC REAL GDP SHOCK */
/* ************************* */
	
#delimit;
clear;
use intermediate;	
keep if G20_emerging==1 | other_emerging==1;
keep if twithin(1994,2011);
	

xi: nbreg all_init_prod_tariff pchg_rxr_lag1 
	chg_unemp_lag1
	fgdp_gr_lag1 
	imp_gr_lag1
	year
	i.cty_partner, nolog irr ;
	
	sum chg_unemp_lag1
	if e(sample)==1; 
	
	keep if e(sample)==1;
	
	predict count_model; 
	
	egen sd_rxr_lag1=sd(pchg_rxr_lag1);
	egen sd_chg_unemp_lag1=sd(chg_unemp_lag1);
	egen sd_fgdp_lag1=sd(fgdp_gr_lag1);
	egen sd_imp_gr_lag1=sd(imp_gr_lag1); 
	
	/*	MEAN + ONE STANDARD DEVIATION INCREASE IN RXR */

	/* save versions of the old data to change back for the other shocks */
	gen pchg_rxr_lag1_old=pchg_rxr_lag1;

	/* ****** Add a one s.d. shock to each observation ****** */

	replace pchg_rxr_lag1 = pchg_rxr_lag1_old+sd_rxr_lag1;
	predict count_pchg_rxr_lag1_sd;

	
	/*Revert to original data */
	replace pchg_rxr_lag1=pchg_rxr_lag1_old;

	/*	MEAN + ONE STANDARD DEVIATION INCREASE IN DOMESTIC unemployment rate */

	/* save versions of the old data to change back for the other shocks */
	gen chg_unemp_lag1_old=chg_unemp_lag1;				
				
	/* ****** Subtract a one s.d. shock to each observation ****** */

	replace chg_unemp_lag1 = chg_unemp_lag1_old+sd_chg_unemp_lag1;
	predict count_chg_unemp_lag1_sd;

	/*Revert to original data */
	replace chg_unemp_lag1=chg_unemp_lag1_old;
					
	/*	MEAN + ONE STANDARD DEVIATION DECREASE IN FOREIGN REAL GDP */

	/* save versions of the old data to change back for the other shocks */
	gen fgdp_gr_lag1_old=fgdp_gr_lag1;
	
	/* ****** Subtract a one s.d. shock to each observation ****** */
	replace fgdp_gr_lag1 = fgdp_gr_lag1_old-sd_fgdp_lag1;					

	predict count_fgdp_gr_lag1_sd;
	
	/*Revert to original data */
	replace fgdp_gr_lag1=fgdp_gr_lag1_old;
	
	/*	MEAN + ONE STANDARD DEVIATION INCREASE IN IMPORT GROWTH */
	
	/* save versions of the old data to change back for the other shocks */
	gen imp_gr_lag1_old=imp_gr_lag1;

	/* ****** Add a one s.d. shock to each observation ****** */

	replace imp_gr_lag1 = imp_gr_lag1_old+sd_imp_gr_lag1;
	predict count_imp_gr_lag1_sd;

	/*Revert to original data */
	replace imp_gr_lag1=imp_gr_lag1_old;
	

/*The next line of code generates the mean predicted count for each shocked specification. */

collapse (mean) all_init_prod_tariff count_model count_pchg_rxr_lag1_sd count_chg_unemp_lag1_sd count_fgdp_gr_lag1_sd
	count_imp_gr_lag1_sd ;
	
	/* *** All emerging PREDICTION:  *** */
list all_init_prod_tariff count_model count_pchg_rxr_lag1_sd count_chg_unemp_lag1_sd count_fgdp_gr_lag1_sd
	count_imp_gr_lag1_sd ;
	
/* ************************ */
/* 3: All TTBs, Real GDP, with alternative fixed effects*/
/* ************************ */

#delimit;
clear;
use intermediate;	
keep if G20_emerging==1 | other_emerging==1;
keep if twithin(1994,2011);

char partner_code[omit] "AUS";		/* LET'S OMIT THE MEDIAN TARGETED EXPORTER = AUSTRALIA, SO THAT WHEN WE PICK OUT THE EXPORTER FIXED EFFECT FOR CHINA IT IS RELATIVE TO THE MEDIAN TARGETED EXPORTER  */

xi: nbreg all_init_prod_tariff pchg_rxr_lag1 
	rgdp_gr_lag1
	fgdp_gr_lag1 
	imp_gr_lag1
	year 
	i.cty_code i.partner_code, nolog irr;		

	
	keep if e(sample)==1;

	predict count_model; 
	
	egen sd_rxr_lag1=sd(pchg_rxr_lag1);
	egen sd_rgdp_gr_lag1=sd(rgdp_gr_lag1);
	egen sd_fgdp_lag1=sd(fgdp_gr_lag1);
	egen sd_imp_gr_lag1=sd(imp_gr_lag1); 
	
	/*	MEAN + ONE STANDARD DEVIATION INCREASE IN RXR */

	/* save versions of the old data to change back for the other shocks */
	gen pchg_rxr_lag1_old=pchg_rxr_lag1;

	/* ****** Add a one s.d. shock to each observation ****** */

	replace pchg_rxr_lag1 = pchg_rxr_lag1_old+sd_rxr_lag1;
	predict count_pchg_rxr_lag1_sd;

	/*Revert to original data */
	replace pchg_rxr_lag1=pchg_rxr_lag1_old;

	/*	MEAN + ONE STANDARD DEVIATION DECREASE IN DOMESTIC real GDP growth */

	/* save versions of the old data to change back for the other shocks */
	gen rgdp_gr_lag1_old=rgdp_gr_lag1;				
				
	/* ****** Subtract a one s.d. shock to each observation ****** */

	replace rgdp_gr_lag1 = rgdp_gr_lag1_old-sd_rgdp_gr_lag1;
	predict count_rgdp_gr_lag1_sd;

	/*Revert to original data */
	replace rgdp_gr_lag1=rgdp_gr_lag1_old;
					
	/*	MEAN + ONE STANDARD DEVIATION DECREASE IN FOREIGN REAL GDP */

	/* save versions of the old data to change back for the other shocks */
	gen fgdp_gr_lag1_old=fgdp_gr_lag1;
	
	/* ****** Subtract a one s.d. shock to each observation ****** */
	replace fgdp_gr_lag1 = fgdp_gr_lag1_old-sd_fgdp_lag1;					

	predict count_fgdp_gr_lag1_sd;
	
	/*Revert to original data */
	replace fgdp_gr_lag1=fgdp_gr_lag1_old;
	
	/*	MEAN + ONE STANDARD DEVIATION INCREASE IN IMPORT GROWTH */
	
	/* save versions of the old data to change back for the other shocks */
	gen imp_gr_lag1_old=imp_gr_lag1;

	/* ****** Add a one s.d. shock to each observation ****** */

	replace imp_gr_lag1 = imp_gr_lag1_old+sd_imp_gr_lag1;
	predict count_imp_gr_lag1_sd;

	/*Revert to original data */
	replace imp_gr_lag1=imp_gr_lag1_old;
	

/*The next line of code generates the mean predicted count for each shocked specification. */

collapse (mean) all_init_prod_tariff count_model count_pchg_rxr_lag1_sd count_rgdp_gr_lag1_sd count_fgdp_gr_lag1_sd
	count_imp_gr_lag1_sd ;
	
	/* *** All emerging PREDICTION:  *** */
list all_init_prod_tariff count_model count_pchg_rxr_lag1_sd count_rgdp_gr_lag1_sd count_fgdp_gr_lag1_sd
	count_imp_gr_lag1_sd ;
	

/* ************************************** */
/*4: All TTBs and drop import growth */
/* ************************************** */

clear;
use intermediate;	
keep if G20_emerging==1 | other_emerging==1;
keep if twithin(1994,2011);	

/* FIRST, ESTIMATE BASELINE SPECIFICATION TO HOLD ESTIMATION SAMPLE FIXED */

xi: nbreg all_init_prod_tariff pchg_rxr_lag1 
	rgdp_gr_lag1
	fgdp_gr_lag1 
	imp_gr_lag1
	year 
	i.cty_partner, nolog irr ;	

	keep if e(sample)==1;

/* SECOND, ESTIMATE SPEC 4: DROPPING IMPORT GROWTH */	
	
xi: nbreg all_init_prod_tariff pchg_rxr_lag1 
	rgdp_gr_lag1
	fgdp_gr_lag1 
	year 
	i.cty_partner, nolog irr ;		
	
		keep if e(sample)==1;

	predict count_model; 
	
	egen sd_rxr_lag1=sd(pchg_rxr_lag1);
	egen sd_rgdp_gr_lag1=sd(rgdp_gr_lag1);
	egen sd_fgdp_lag1=sd(fgdp_gr_lag1);
	
	/*	MEAN + ONE STANDARD DEVIATION INCREASE IN RXR */

	/* save versions of the old data to change back for the other shocks */
	gen pchg_rxr_lag1_old=pchg_rxr_lag1;

	/* ****** Add a one s.d. shock to each observation ****** */

	replace pchg_rxr_lag1 = pchg_rxr_lag1_old+sd_rxr_lag1;
	predict count_pchg_rxr_lag1_sd;

	/*Revert to original data */
	replace pchg_rxr_lag1=pchg_rxr_lag1_old;

	/*	MEAN + ONE STANDARD DEVIATION DECREASE IN DOMESTIC real GDP growth */

	/* save versions of the old data to change back for the other shocks */
	gen rgdp_gr_lag1_old=rgdp_gr_lag1;				
				
	/* ****** Subtract a one s.d. shock to each observation ****** */

	replace rgdp_gr_lag1 = rgdp_gr_lag1_old-sd_rgdp_gr_lag1;
	predict count_rgdp_gr_lag1_sd;

	/*Revert to original data */
	replace rgdp_gr_lag1=rgdp_gr_lag1_old;
					
	/*	MEAN + ONE STANDARD DEVIATION DECREASE IN FOREIGN REAL GDP */

	/* save versions of the old data to change back for the other shocks */
	gen fgdp_gr_lag1_old=fgdp_gr_lag1;
	
	/* ****** Subtract a one s.d. shock to each observation ****** */
	replace fgdp_gr_lag1 = fgdp_gr_lag1_old-sd_fgdp_lag1;					

	predict count_fgdp_gr_lag1_sd;
	
	/*Revert to original data */
	replace fgdp_gr_lag1=fgdp_gr_lag1_old;
	
	

/*The next line of code generates the mean predicted count for each shocked specification. */

collapse (mean) all_init_prod_tariff count_model count_pchg_rxr_lag1_sd count_rgdp_gr_lag1_sd count_fgdp_gr_lag1_sd;
	
	/* *** All emerging PREDICTION:  *** */
list all_init_prod_tariff count_model count_pchg_rxr_lag1_sd count_rgdp_gr_lag1_sd count_fgdp_gr_lag1_sd;

	
/* ************************* */
/* Column 5: AD ONLY */
/* ************************* */

clear;
use intermediate;	
keep if G20_emerging==1 | other_emerging==1;
keep if twithin(1994,2011);
	
xi: nbreg ad_init_prod_tariff pchg_rxr_lag1 
	rgdp_gr_lag1
	fgdp_gr_lag1 
	year 
	imp_gr_lag1
	i.cty_partner, nolog irr ;		
	
	keep if e(sample)==1;

	predict count_model; 
	
	egen sd_rxr_lag1=sd(pchg_rxr_lag1);
	egen sd_rgdp_gr_lag1=sd(rgdp_gr_lag1);
	egen sd_fgdp_lag1=sd(fgdp_gr_lag1);
	egen sd_imp_gr_lag1=sd(imp_gr_lag1); 
	
	/*	MEAN + ONE STANDARD DEVIATION INCREASE IN RXR */

	/* save versions of the old data to change back for the other shocks */
	gen pchg_rxr_lag1_old=pchg_rxr_lag1;

	/* ****** Add a one s.d. shock to each observation ****** */

	replace pchg_rxr_lag1 = pchg_rxr_lag1_old+sd_rxr_lag1;
	predict count_pchg_rxr_lag1_sd;

	/*Revert to original data */
	replace pchg_rxr_lag1=pchg_rxr_lag1_old;

	/*	MEAN + ONE STANDARD DEVIATION DECREASE IN DOMESTIC real GDP growth */

	/* save versions of the old data to change back for the other shocks */
	gen rgdp_gr_lag1_old=rgdp_gr_lag1;				
				
	/* ****** Subtract a one s.d. shock to each observation ****** */

	replace rgdp_gr_lag1 = rgdp_gr_lag1_old-sd_rgdp_gr_lag1;
	predict count_rgdp_gr_lag1_sd;

	/*Revert to original data */
	replace rgdp_gr_lag1=rgdp_gr_lag1_old;
					
	/*	MEAN + ONE STANDARD DEVIATION DECREASE IN FOREIGN REAL GDP */

	/* save versions of the old data to change back for the other shocks */
	gen fgdp_gr_lag1_old=fgdp_gr_lag1;
	
	/* ****** Subtract a one s.d. shock to each observation ****** */
	replace fgdp_gr_lag1 = fgdp_gr_lag1_old-sd_fgdp_lag1;					

	predict count_fgdp_gr_lag1_sd;
	
	/*Revert to original data */
	replace fgdp_gr_lag1=fgdp_gr_lag1_old;
	
	/*	MEAN + ONE STANDARD DEVIATION INCREASE IN IMPORT GROWTH */
	
	/* save versions of the old data to change back for the other shocks */
	gen imp_gr_lag1_old=imp_gr_lag1;

	/* ****** Add a one s.d. shock to each observation ****** */

	replace imp_gr_lag1 = imp_gr_lag1_old+sd_imp_gr_lag1;
	predict count_imp_gr_lag1_sd;

	/*Revert to original data */
	replace imp_gr_lag1=imp_gr_lag1_old;
	

/*The next line of code generates the mean predicted count for each shocked specification. */

collapse (mean) ad_init_prod_tariff count_model count_pchg_rxr_lag1_sd count_rgdp_gr_lag1_sd count_fgdp_gr_lag1_sd
	count_imp_gr_lag1_sd ;
	
	/* *** All emerging PREDICTION:  *** */
list ad_init_prod_tariff count_model count_pchg_rxr_lag1_sd count_rgdp_gr_lag1_sd count_fgdp_gr_lag1_sd
	count_imp_gr_lag1_sd ;


/* ******************************************************** */	
/* Column 6: INVESTIGATIONS ONLY, NOT ONLY INVESTIGATIONS THAT END IN MEASURES */
/* ******************************************************** */	

#delimit;
clear;
use intermediate;	
keep if G20_emerging==1 | other_emerging==1 ;
keep if twithin(1994,2011);


xi: nbreg  all_init_prod pchg_rxr_lag1 
	rgdp_gr_lag1
 fgdp_gr_lag1 
	imp_gr_lag1
	year
	i.cty_partner, nolog irr ;
	
		keep if e(sample)==1;

	predict count_model; 
	
	egen sd_rxr_lag1=sd(pchg_rxr_lag1);
	egen sd_rgdp_gr_lag1=sd(rgdp_gr_lag1);
	egen sd_fgdp_lag1=sd(fgdp_gr_lag1);
	egen sd_imp_gr_lag1=sd(imp_gr_lag1); 

	
	/*	MEAN + ONE STANDARD DEVIATION INCREASE IN RXR */

	/* save versions of the old data to change back for the other shocks */
	gen pchg_rxr_lag1_old=pchg_rxr_lag1;

	/* ****** Add a one s.d. shock to each observation ****** */

	replace pchg_rxr_lag1 = pchg_rxr_lag1_old+sd_rxr_lag1;
	predict count_pchg_rxr_lag1_sd;

	/*Revert to original data */
	replace pchg_rxr_lag1=pchg_rxr_lag1_old;

	/*	MEAN + ONE STANDARD DEVIATION DECREASE IN DOMESTIC real GDP growth */

	/* save versions of the old data to change back for the other shocks */
	gen rgdp_gr_lag1_old=rgdp_gr_lag1;				
				
	/* ****** Subtract a one s.d. shock to each observation ****** */

	replace rgdp_gr_lag1 = rgdp_gr_lag1_old-sd_rgdp_gr_lag1;
	predict count_rgdp_gr_lag1_sd;

	/*Revert to original data */
	replace rgdp_gr_lag1=rgdp_gr_lag1_old;
					
	/*	MEAN + ONE STANDARD DEVIATION DECREASE IN FOREIGN REAL GDP */

	/* save versions of the old data to change back for the other shocks */
	gen fgdp_gr_lag1_old=fgdp_gr_lag1;
	
	/* ****** Subtract a one s.d. shock to each observation ****** */
	replace fgdp_gr_lag1 = fgdp_gr_lag1_old-sd_fgdp_lag1;					

	predict count_fgdp_gr_lag1_sd;
	
	/*Revert to original data */
	replace fgdp_gr_lag1=fgdp_gr_lag1_old;
	
	/*	MEAN + ONE STANDARD DEVIATION INCREASE IN IMPORT GROWTH */
	
	/* save versions of the old data to change back for the other shocks */
	gen imp_gr_lag1_old=imp_gr_lag1;

	/* ****** Add a one s.d. shock to each observation ****** */

	replace imp_gr_lag1 = imp_gr_lag1_old+sd_imp_gr_lag1;
	predict count_imp_gr_lag1_sd;

	/*Revert to original data */
	replace imp_gr_lag1=imp_gr_lag1_old;
	
	

/*The next line of code generates the mean predicted count for each shocked specification. */

collapse (mean) all_init_prod count_model count_pchg_rxr_lag1_sd count_rgdp_gr_lag1_sd count_fgdp_gr_lag1_sd
	count_imp_gr_lag1_sd ;
	
	/* *** All emerging PREDICTION:  *** */
list all_init_prod count_model count_pchg_rxr_lag1_sd count_rgdp_gr_lag1_sd count_fgdp_gr_lag1_sd
	count_imp_gr_lag1_sd ;
	
	
/* ******************************************* */
/* Column 7. G20 EMERGING SUBSAMPLE ONLY */
/* ****************************************** */

#delimit;
clear;
use intermediate;	
keep if G20_emerging==1;
keep if twithin(1994,2011);

xi: nbreg all_init_prod_tariff pchg_rxr_lag1 
	rgdp_gr_lag1
 fgdp_gr_lag1 
	imp_gr_lag1
	year
	i.cty_partner, nolog irr ;
	
	keep if e(sample)==1;
	
	predict count_model; 
	
	egen sd_rxr_lag1=sd(pchg_rxr_lag1);
	egen sd_rgdp_gr_lag1=sd(rgdp_gr_lag1);
	egen sd_fgdp_lag1=sd(fgdp_gr_lag1);
	egen sd_imp_gr_lag1=sd(imp_gr_lag1); 
	
	/*	MEAN + ONE STANDARD DEVIATION INCREASE IN RXR */

	/* save versions of the old data to change back for the other shocks */
	gen pchg_rxr_lag1_old=pchg_rxr_lag1;

	/* ****** Add a one s.d. shock to each observation ****** */

	replace pchg_rxr_lag1 = pchg_rxr_lag1_old+sd_rxr_lag1;
	predict count_pchg_rxr_lag1_sd;

	
	/*Revert to original data */
	replace pchg_rxr_lag1=pchg_rxr_lag1_old;

	/*	MEAN + ONE STANDARD DEVIATION DECREASE IN DOMESTIC real GDP growth */

	/* save versions of the old data to change back for the other shocks */
	gen rgdp_gr_lag1_old=rgdp_gr_lag1;				
				
	/* ****** Subtract a one s.d. shock to each observation ****** */

	replace rgdp_gr_lag1 = rgdp_gr_lag1_old-sd_rgdp_gr_lag1;
	predict count_rgdp_gr_lag1_sd;

	/*Revert to original data */
	replace rgdp_gr_lag1=rgdp_gr_lag1_old;
					
	/*	MEAN + ONE STANDARD DEVIATION DECREASE IN FOREIGN REAL GDP */

	/* save versions of the old data to change back for the other shocks */
	gen fgdp_gr_lag1_old=fgdp_gr_lag1;
	
	/* ****** Subtract a one s.d. shock to each observation ****** */
	replace fgdp_gr_lag1 = fgdp_gr_lag1_old-sd_fgdp_lag1;					

	predict count_fgdp_gr_lag1_sd;
	
	/*Revert to original data */
	replace fgdp_gr_lag1=fgdp_gr_lag1_old;
	
	/*	MEAN + ONE STANDARD DEVIATION INCREASE IN IMPORT GROWTH */
	
	/* save versions of the old data to change back for the other shocks */
	gen imp_gr_lag1_old=imp_gr_lag1;

	/* ****** Add a one s.d. shock to each observation ****** */

	replace imp_gr_lag1 = imp_gr_lag1_old+sd_imp_gr_lag1;
	predict count_imp_gr_lag1_sd;

	/*Revert to original data */
	replace imp_gr_lag1=imp_gr_lag1_old;
	

/*The next line of code generates the mean predicted count for each shocked specification. */

collapse (mean) all_init_prod_tariff count_model count_pchg_rxr_lag1_sd count_rgdp_gr_lag1_sd count_fgdp_gr_lag1_sd
	count_imp_gr_lag1_sd ;
	
	/* *** All emerging PREDICTION:  *** */
list all_init_prod_tariff count_model count_pchg_rxr_lag1_sd count_rgdp_gr_lag1_sd count_fgdp_gr_lag1_sd
	count_imp_gr_lag1_sd ;


log close;

