/*	Author :	Chad P. Bown and Meredith A. Crowley							*/
/*	First Draft: 	5 June 2012								*/
/*	Revised : 23 March 2014 									*/
/*	Desc : 	Estimation file for Table 3 of ``Emerging Economies, Trade Policy and Macroeconomic Shocks''		*/
/*	Input :	ee_tp_ms_estimation_data.dta */
/*	Output : Table3_03_23-2014.smcl	*/ 


clear
set mem 750m

version 7.0
#delimit ;
set more off; 

*cd "C:\mypath" 
*cd "C:\Users\wb261799\Documents\Estimation\Meredith\Developing_macro\data\annual_bilateral\";
cd "C:\Users\mc865\Documents\EmergingEconomies-RnR-JDE\developing-ad-sg-crisis\JDE_data_estimation_files_January2013\JDE_datafiles_tables3-6_January2013\";

#delimit;

log using Table4_03-23-2014, replace ;
set linesize 255 ;
/* ** FIRST SET UP THE DATA SET TO ONLY KEEP THE TOP TRADING PARTNERS OF EACH POLICY-IMPOSING COUNTRY *************************************************** */
#delimit;
clear;
use ee_tp_ms_estimation_data.dta;

gen G20_emerging=0;
gen other_emerging=0;

replace G20_emerging=1 if cty_code=="ARG" & (partner_code=="CHN" | partner_code=="BRA" | partner_code=="EUN" | partner_code=="ZAF" | partner_code=="KOR" | 
	partner_code=="RUS" | partner_code=="KAZ" | partner_code=="UKR" | partner_code=="TWN" | partner_code=="IND" | 
	partner_code=="IDN" | partner_code=="AUS" | partner_code=="CHE" | partner_code=="MYS" | partner_code=="PRY" |
	partner_code=="THA" | partner_code=="USA" );
	
replace G20_emerging=1 if cty_code=="BRA" & (partner_code=="CHN" | partner_code=="EUN" | partner_code=="KOR" | partner_code=="USA" | partner_code=="IND" | 
	partner_code=="PAK" | partner_code=="ARG" | partner_code=="MEX" | partner_code=="ZAF" | partner_code=="TWN" | 
	partner_code=="RUS" | partner_code=="CHL" | partner_code=="THA" | partner_code=="JPN" );
	

replace G20_emerging=1 if cty_code=="CHN" & (partner_code=="KOR" | partner_code=="USA" | partner_code=="JPN" | partner_code=="TWN" | partner_code=="EUN" | 
	partner_code=="RUS" | partner_code=="KAZ" | partner_code=="UKR" | partner_code=="THA" | partner_code=="SGP" | 
	partner_code=="IDN" | partner_code=="MYS" | partner_code=="IND" | partner_code=="SAU"  );
	
replace other_emerging=1 if cty_code=="COL" & (partner_code=="CHN" | partner_code=="TWN" | partner_code=="RUS" | partner_code=="EUN" | partner_code=="UKR" | 
	partner_code=="KAZ" | partner_code=="MEX" | partner_code=="USA" | partner_code=="BRA" | partner_code=="KOR" | 
	partner_code=="TTO" | partner_code=="IDN" | partner_code=="VNM" | partner_code=="CUB" | partner_code=="MYS" |
	partner_code=="THA" | partner_code=="VEN" );
	
replace G20_emerging=1 if cty_code=="IDN" & (partner_code=="CHN" | partner_code=="KOR" | partner_code=="IND" | partner_code=="JPN" | partner_code=="SGP" | 
	partner_code=="MYS" | partner_code=="RUS" | partner_code=="TWN" | partner_code=="THA" | partner_code=="UKR" | 
	partner_code=="EUN" | partner_code=="AUS" | partner_code=="TUR" | partner_code=="ARE" );
	
replace G20_emerging=1 if cty_code=="IND" & (partner_code=="CHN" | partner_code=="KOR" | partner_code=="EUN" | partner_code=="TWN" | partner_code=="IDN" | 
	partner_code=="USA" | partner_code=="THA" | partner_code=="RUS" | partner_code=="JPN" | partner_code=="MYS" | 
	partner_code=="ZAF" | partner_code=="SAU" | partner_code=="SGP" | partner_code=="IRN" | partner_code=="UKR" |
	partner_code=="CAN" | partner_code=="KAZ" | partner_code=="ARE"  );
	
replace G20_emerging=1 if cty_code=="MEX" & (partner_code=="CHN" | partner_code=="EUN" | partner_code=="BRA" | partner_code=="USA" | partner_code=="KOR" | 
	partner_code=="TWN" | partner_code=="COL" | partner_code=="ARG" | partner_code=="HKG" | partner_code=="PAK" | 
	partner_code=="CAN" | partner_code=="RUS"  | partner_code=="JPN" );
	
replace other_emerging=1 if cty_code=="MYS" & (partner_code=="IDN" | partner_code=="KOR" | partner_code=="EUN" | partner_code=="JPN" | partner_code=="THA" | 
	partner_code=="TWN" | partner_code=="PHL" | partner_code=="AUS" | partner_code=="CAN" | partner_code=="CHN" | 
	partner_code=="HKG" | partner_code=="IND" | partner_code=="USA");
	
replace other_emerging=1 if cty_code=="PER" & (partner_code=="CHN" | partner_code=="PAK" | partner_code=="BRA" | partner_code=="RUS" | partner_code=="UKR" | 
	partner_code=="TWN" | partner_code=="CHL" | partner_code=="EUN" | partner_code=="KAZ" | partner_code=="VNM" | 
	partner_code=="ARG" | partner_code=="IDN" | partner_code=="MEX" | partner_code=="COL" | partner_code=="IND"  | 
	 partner_code=="USA" );
	
replace other_emerging=1 if cty_code=="PHL" & (partner_code=="RUS" | partner_code=="TWN" | partner_code=="UKR" | partner_code=="CHN" | partner_code=="IDN" | 
	partner_code=="THA" | partner_code=="EUN" | partner_code=="HKG" | partner_code=="KOR" | partner_code=="MYS");
	
replace other_emerging=1 if cty_code=="THA" & (partner_code=="CHN" | partner_code=="EUN" | partner_code=="KOR" | partner_code=="JPN" | partner_code=="TWN" | 
	partner_code=="MYS" | partner_code=="IDN" | partner_code=="ARG" | partner_code=="DZA" | partner_code=="IND" | 
	partner_code=="KAZ" | partner_code=="RUS" | partner_code=="UKR" | partner_code=="VEN" | partner_code=="ZAF");
	
replace G20_emerging=1 if cty_code=="TUR" & (partner_code=="CHN" | partner_code=="IDN" | partner_code=="IND" | partner_code=="PAK" | partner_code=="KOR" | 
	partner_code=="RUS" | partner_code=="TWN" | partner_code=="HKG" | partner_code=="EUN" | partner_code=="THA" | 
	partner_code=="MYS" | partner_code=="EGY" | partner_code=="VNM" | partner_code=="SAU" | partner_code=="ISR"  );
	
replace G20_emerging=1 if cty_code=="ZAF" & (partner_code=="CHN" | partner_code=="EUN" | partner_code=="HKG" | partner_code=="IND" | partner_code=="USA" | 
	partner_code=="TWN" | partner_code=="TUR" | partner_code=="IDN" | partner_code=="THA" | partner_code=="AUS" | 
	partner_code=="RUS" | partner_code=="KOR" | partner_code=="PAK" | partner_code=="BRA"  );

keep if G20_emerging==1 | other_emerging==1;
	
tsset cty_partner year, yearly;

replace wto=0 if cty_code=="CHN" & year<=2001;
gen pre_wto=1-wto;

replace chg_equal_fract_lag1=0 if chg_equal_fract_lag1==.;
replace chg_ten_fract_lag1=0 if chg_ten_fract_lag1==.;

	sort cty_partner year;
	 tsset cty_partner year, yearly;

gen chg_equal_fract_lag1Xwto = chg_equal_fract_lag1*wto;
gen chg_equal_fract_lag1Xpre_wto = chg_equal_fract_lag1*pre_wto;

gen chg_ten_fract_lag1Xwto = chg_ten_fract_lag1*wto;
gen chg_ten_fract_lag1Xpre_wto = chg_ten_fract_lag1*pre_wto;

gen pchg_rxr_lag1Xwto = pchg_rxr_lag1*wto;
gen pchg_rxr_lag1Xpre_wto = pchg_rxr_lag1*pre_wto;

gen rgdp_gr_lag1Xwto = rgdp_gr_lag1*wto;
gen rgdp_gr_lag1Xpre_wto = rgdp_gr_lag1*pre_wto;

gen chg_unemp_lag1Xwto = chg_unemp_lag1*wto;
gen chg_unemp_lag1Xpre_wto = chg_unemp_lag1*pre_wto;

gen fgdp_gr_lag1Xwto = fgdp_gr_lag1*wto;
gen fgdp_gr_lag1Xpre_wto = fgdp_gr_lag1*pre_wto;

gen imp_gr_lag1Xwto = imp_gr_lag1*wto;
gen imp_gr_lag1Xpre_wto = imp_gr_lag1*pre_wto;


save intermediate, replace;


/* ********************************************** */
/* TABLE 4: TRADE AGREEMENTS */
/* ********************************************** */

/* *********************** */
/* 1. BASELINE: RGDP Growth, WTO INDICATOR ONLY */
/* *********************** */


#delimit;
clear;
use intermediate;	
keep if G20_emerging==1 | other_emerging==1;
keep if twithin(1988,2011);

xi: nbreg all_init_prod_tariff pchg_rxr_lag1Xpre_wto pchg_rxr_lag1Xwto  
	rgdp_gr_lag1Xpre_wto  rgdp_gr_lag1Xwto 
	fgdp_gr_lag1Xpre_wto fgdp_gr_lag1Xwto  
	year 
	imp_gr_lag1Xpre_wto imp_gr_lag1Xwto  
	wto
	i.cty_partner, nolog irr ;		
 
/* STRUCTURAL BREAK FOR RXR? */
test((pchg_rxr_lag1Xwto)-(pchg_rxr_lag1Xpre_wto))=0;

/* STRUCTURAL BREAK FOR domestic GDP CHANGE? */
test((rgdp_gr_lag1Xwto)-(rgdp_gr_lag1Xpre_wto))=0;

/* STRUCTURAL BREAK FOR FOREIGN GDP SHOCK? */
test((fgdp_gr_lag1Xwto)-(fgdp_gr_lag1Xpre_wto))=0;

/* STRUCTURAL BREAK FOR IMPORTS? */
test((imp_gr_lag1Xwto)-(imp_gr_lag1Xpre_wto))=0;


/* *********************** */
/* 2. RGDP Growth, WTO INDICATOR, ADD TARIFF BINDING CHANGE */
/* *********************** */

#delimit;
clear;
use intermediate;	
keep if G20_emerging==1 | other_emerging==1;
keep if twithin(1988,2011);

xi: nbreg all_init_prod_tariff pchg_rxr_lag1Xpre_wto pchg_rxr_lag1Xwto  
	rgdp_gr_lag1Xpre_wto  rgdp_gr_lag1Xwto 
	fgdp_gr_lag1Xpre_wto fgdp_gr_lag1Xwto  
	year 
	imp_gr_lag1Xpre_wto imp_gr_lag1Xwto  
	wto
	chg_equal_fract_lag1Xwto i.cty_partner, nolog irr ;		

	
/* STRUCTURAL BREAK FOR RXR? */
test((pchg_rxr_lag1Xwto)-(pchg_rxr_lag1Xpre_wto))=0;

/* STRUCTURAL BREAK FOR domestic GDP CHANGE? */
test((rgdp_gr_lag1Xwto)-(rgdp_gr_lag1Xpre_wto))=0;

/* STRUCTURAL BREAK FOR FOREIGN GDP SHOCK? */
test((fgdp_gr_lag1Xwto)-(fgdp_gr_lag1Xpre_wto))=0;

/* STRUCTURAL BREAK FOR IMPORTS? */
test((imp_gr_lag1Xwto)-(imp_gr_lag1Xpre_wto))=0;	
	

	
	keep if e(sample)==1;

	
	keep if wto==1;	/* IN ORDER TO GENERATE THE RIGHT SHOCKS, HAVE TO CONDITION ON THE APPROPRIATE SUBSAMPLE OF YEARS HERE */
	
	
	egen sd_rxr_lag1Xwto=sd(pchg_rxr_lag1Xwto);
	egen sd_rgdp_gr_lag1Xwto=sd(rgdp_gr_lag1Xwto);
	egen sd_fgdp_lag1Xwto=sd(fgdp_gr_lag1Xwto);
	egen sd_imp_gr_lag1Xwto=sd(imp_gr_lag1Xwto);  
	egen sd_chg_equal_fract_lag1Xwto=sd(chg_equal_fract_lag1Xwto);
	
	
	
	/*	MEAN + ONE STANDARD DEVIATION INCREASE IN RXR */

	/* save versions of the old data to change back for the other shocks */
	gen pchg_rxr_lag1Xwto_old=pchg_rxr_lag1Xwto;

	/* ****** Add a one s.d. shock to each observation ****** */

	replace pchg_rxr_lag1Xwto = pchg_rxr_lag1Xwto_old+sd_rxr_lag1Xwto;
	predict count_pchg_rxr_lag1Xwto_sd;

	
	/*Revert to original data */
	replace pchg_rxr_lag1Xwto=pchg_rxr_lag1Xwto_old;

	/*	MEAN + ONE STANDARD DEVIATION DECREASE IN DOMESTIC real GDP growth */

	/* save versions of the old data to change back for the other shocks */
	gen rgdp_gr_lag1Xwto_old=rgdp_gr_lag1Xwto;				
				
	/* ****** Subtract a one s.d. shock to each observation ****** */

	replace rgdp_gr_lag1Xwto = rgdp_gr_lag1Xwto_old-sd_rgdp_gr_lag1Xwto;
	predict count_rgdp_gr_lag1Xwto_sd;

	/*Revert to original data */
	replace rgdp_gr_lag1Xwto=rgdp_gr_lag1Xwto_old;
					
	/*	MEAN + ONE STANDARD DEVIATION DECREASE IN FOREIGN REAL GDP */

	/* save versions of the old data to change back for the other shocks */
	gen fgdp_gr_lag1Xwto_old=fgdp_gr_lag1Xwto;
	
	/* ****** Subtract a one s.d. shock to each observation ****** */
	replace fgdp_gr_lag1Xwto = fgdp_gr_lag1Xwto_old-sd_fgdp_lag1Xwto;					

	predict count_fgdp_gr_lag1Xwto_sd;
	
	/*Revert to original data */
	replace fgdp_gr_lag1Xwto=fgdp_gr_lag1Xwto_old;
	
	/*	MEAN + ONE STANDARD DEVIATION INCREASE IN IMPORT GROWTH */
	
	/* save versions of the old data to change back for the other shocks */
	gen imp_gr_lag1Xwto_old=imp_gr_lag1Xwto;

	/* ****** Add a one s.d. shock to each observation ****** */

	replace imp_gr_lag1Xwto = imp_gr_lag1Xwto_old+sd_imp_gr_lag1Xwto;
	predict count_imp_gr_lag1Xwto_sd;

	/*Revert to original data */
	replace imp_gr_lag1Xwto=imp_gr_lag1Xwto_old;

	/*	MEAN + ONE STANDARD DEVIATION INCREASE IN SHARE OF PRODUCTS UNDER WTO DISCIPLINE */
	
	/* save versions of the old data to change back for the other shocks */
	gen chg_equal_fract_lag1Xwto_old=chg_equal_fract_lag1Xwto;

	/* ****** Add a one s.d. shock to each observation ****** */

	replace chg_equal_fract_lag1Xwto = chg_equal_fract_lag1Xwto_old+sd_chg_equal_fract_lag1Xwto;
	predict count_chg_bind_lag1Xwto_sd;

	/*Revert to original data */
	replace chg_equal_fract_lag1Xwto=chg_equal_fract_lag1Xwto_old;
	
	
/*The next line of code generates the mean predicted count for each shocked specification.*/

keep if wto==1;

collapse (mean) all_init_prod_tariff count_model count_pchg_rxr_lag1Xwto_sd count_rgdp_gr_lag1Xwto_sd count_fgdp_gr_lag1Xwto_sd
	count_imp_gr_lag1Xwto_sd count_chg_bind_lag1Xwto_sd;
	
	/* *** All emerging PREDICTION:  *** */
list all_init_prod_tariff count_model count_pchg_rxr_lag1Xwto_sd count_rgdp_gr_lag1Xwto_sd count_fgdp_gr_lag1Xwto_sd
	count_imp_gr_lag1Xwto_sd count_chg_bind_lag1Xwto_sd;
	

	
/* *********************** */
/* 3. RGDP Growth, WTO INDICATOR, ROBUSTNESS FOR TARIFF BINDING CHANGE */
/* *********************** */

#delimit;
clear;
use intermediate;	
keep if G20_emerging==1 | other_emerging==1;
keep if twithin(1988,2011);

xi: nbreg all_init_prod_tariff pchg_rxr_lag1Xpre_wto pchg_rxr_lag1Xwto  
	rgdp_gr_lag1Xpre_wto  rgdp_gr_lag1Xwto 
	fgdp_gr_lag1Xpre_wto fgdp_gr_lag1Xwto  
	year 
	imp_gr_lag1Xpre_wto imp_gr_lag1Xwto  
	wto
	chg_ten_fract_lag1Xwto i.cty_partner, nolog irr ;		

	
/* STRUCTURAL BREAK FOR RXR? */
test((pchg_rxr_lag1Xwto)-(pchg_rxr_lag1Xpre_wto))=0;

/* STRUCTURAL BREAK FOR domestic GDP CHANGE? */
test((rgdp_gr_lag1Xwto)-(rgdp_gr_lag1Xpre_wto))=0;

/* STRUCTURAL BREAK FOR FOREIGN GDP SHOCK? */
test((fgdp_gr_lag1Xwto)-(fgdp_gr_lag1Xpre_wto))=0;

/* STRUCTURAL BREAK FOR IMPORTS? */
test((imp_gr_lag1Xwto)-(imp_gr_lag1Xpre_wto))=0;	

/* ********************************************** */
/* 4. UNEMPLOYMENT, WTO INDICATOR, TARIFF BINDING VARIABLE */
/* ********************************************** */

#delimit;
clear;
use intermediate;	

keep if G20_emerging==1 | other_emerging==1;
keep if twithin(1988,2011);

xi: nbreg all_init_prod_tariff pchg_rxr_lag1Xpre_wto pchg_rxr_lag1Xwto 
	 chg_unemp_lag1Xpre_wto chg_unemp_lag1Xwto 
	fgdp_gr_lag1Xpre_wto fgdp_gr_lag1Xwto  
	year 
	imp_gr_lag1Xpre_wto imp_gr_lag1Xwto  
	chg_equal_fract_lag1Xwto wto i.cty_partner, nolog irr ;		

	
	/* STRUCTURAL BREAK FOR RXR? */
test((pchg_rxr_lag1Xwto)-(pchg_rxr_lag1Xpre_wto))=0;

/* STRUCTURAL BREAK FOR UR CHANGE? */
test((chg_unemp_lag1Xwto)-(chg_unemp_lag1Xpre_wto))=0;

/* STRUCTURAL BREAK FOR FOREIGN GDP SHOCK? */
test((fgdp_gr_lag1Xwto)-(fgdp_gr_lag1Xpre_wto))=0;

/* STRUCTURAL BREAK FOR IMPORTS? */
test((imp_gr_lag1Xwto)-(imp_gr_lag1Xpre_wto))=0;
	

	
	keep if e(sample)==1;

	predict count_model; 
	
	keep if wto==1;	/* IN ORDER TO GENERATE THE RIGHT SHOCKS, HAVE TO CONDITION ON THE APPROPRIATE SUBSAMPLE OF YEARS HERE */
	
	
	egen sd_rxr_lag1Xwto=sd(pchg_rxr_lag1Xwto);
	egen sd_chg_unemp_lag1Xwto=sd(chg_unemp_lag1Xwto);
	egen sd_fgdp_lag1Xwto=sd(fgdp_gr_lag1Xwto);
	egen sd_imp_gr_lag1Xwto=sd(imp_gr_lag1Xwto);  
	egen sd_chg_equal_fract_lag1Xwto=sd(chg_equal_fract_lag1Xwto);
	
	/*	MEAN + ONE STANDARD DEVIATION INCREASE IN RXR */

	/* save versions of the old data to change back for the other shocks */
	gen pchg_rxr_lag1Xwto_old=pchg_rxr_lag1Xwto;

	/* ****** Add a one s.d. shock to each observation ****** */

	replace pchg_rxr_lag1Xwto = pchg_rxr_lag1Xwto_old+sd_rxr_lag1Xwto;
	predict count_pchg_rxr_lag1Xwto_sd;

	
	/*Revert to original data */
	replace pchg_rxr_lag1Xwto=pchg_rxr_lag1Xwto_old;

	/*	MEAN + ONE STANDARD DEVIATION INCREASE IN DOMESTIC unemployment rate */

	/* save versions of the old data to change back for the other shocks */
	gen chg_unemp_lag1Xwto_old=chg_unemp_lag1Xwto;				
				
	/* ****** Subtract a one s.d. shock to each observation ****** */

	replace chg_unemp_lag1Xwto = chg_unemp_lag1Xwto_old+sd_chg_unemp_lag1Xwto;
	predict count_chg_unemp_lag1Xwto_sd;

	/*Revert to original data */
	replace chg_unemp_lag1Xwto=chg_unemp_lag1Xwto_old;
					
	/*	MEAN + ONE STANDARD DEVIATION DECREASE IN FOREIGN REAL GDP */

	/* save versions of the old data to change back for the other shocks */
	gen fgdp_gr_lag1Xwto_old=fgdp_gr_lag1Xwto;
	
	/* ****** Subtract a one s.d. shock to each observation ****** */
	replace fgdp_gr_lag1Xwto = fgdp_gr_lag1Xwto_old-sd_fgdp_lag1Xwto;					

	predict count_fgdp_gr_lag1Xwto_sd;
	
	/*Revert to original data */
	replace fgdp_gr_lag1Xwto=fgdp_gr_lag1Xwto_old;
	
	/*	MEAN + ONE STANDARD DEVIATION INCREASE IN IMPORT GROWTH */
	
	/* save versions of the old data to change back for the other shocks */
	gen imp_gr_lag1Xwto_old=imp_gr_lag1Xwto;

	/* ****** Add a one s.d. shock to each observation ****** */

	replace imp_gr_lag1Xwto = imp_gr_lag1Xwto_old+sd_imp_gr_lag1Xwto;
	predict count_imp_gr_lag1Xwto_sd;

	/*Revert to original data */
	replace imp_gr_lag1Xwto=imp_gr_lag1Xwto_old;

	/*	MEAN + ONE STANDARD DEVIATION INCREASE IN SHARE OF PRODUCTS UNDER WTO DISCIPLINE */
	
	/* save versions of the old data to change back for the other shocks */
	gen chg_equal_fract_lag1Xwto_old=chg_equal_fract_lag1Xwto;

	/* ****** Add a one s.d. shock to each observation ****** */

	replace chg_equal_fract_lag1Xwto = chg_equal_fract_lag1Xwto_old+sd_chg_equal_fract_lag1Xwto;
	predict count_chg_bind_lag1Xwto_sd;

	/*Revert to original data */
	replace chg_equal_fract_lag1Xwto=chg_equal_fract_lag1Xwto_old;
	
	
/*The next line of code generates the mean predicted count for each shocked specification. */

keep if wto==1;

collapse (mean) all_init_prod_tariff count_model count_pchg_rxr_lag1Xwto_sd count_chg_unemp_lag1Xwto_sd count_fgdp_gr_lag1Xwto_sd
	count_imp_gr_lag1Xwto_sd count_chg_bind_lag1Xwto_sd;
	
	/* *** All emerging PREDICTION:  *** */
list all_init_prod_tariff count_model count_pchg_rxr_lag1Xwto_sd count_chg_unemp_lag1Xwto_sd count_fgdp_gr_lag1Xwto_sd
	count_imp_gr_lag1Xwto_sd count_chg_bind_lag1Xwto_sd;
	


/* ********************************************** */
/* 5. SHOW REAL GDP RESULTS HOLD ON THIS UNEMPLOYMENT SUBSAMPLE */
/* ********************************************** */

#delimit;
clear;
use intermediate;	

keep if G20_emerging==1 | other_emerging==1;
keep if twithin(1988,2011);

	/* FIRST, RUN THE MODEL USING UNEMPLOYMENT (SPEC 4) TO HOLD ESTIMATION SAMPLE FIXED*/

xi: nbreg all_init_prod_tariff pchg_rxr_lag1Xpre_wto pchg_rxr_lag1Xwto 
	 chg_unemp_lag1Xpre_wto chg_unemp_lag1Xwto 
	fgdp_gr_lag1Xpre_wto fgdp_gr_lag1Xwto  
	year 
	imp_gr_lag1Xpre_wto imp_gr_lag1Xwto  
	chg_equal_fract_lag1Xwto wto i.cty_partner, nolog irr ;

	keep if e(sample)==1;

	/* SECOND, RUN THE MODEL USING REAL GDP ON SPEC 4 SAMPLE */
	
xi: nbreg all_init_prod_tariff pchg_rxr_lag1Xpre_wto pchg_rxr_lag1Xwto 
	 rgdp_gr_lag1Xpre_wto rgdp_gr_lag1Xwto 
	fgdp_gr_lag1Xpre_wto fgdp_gr_lag1Xwto  
	year 
	imp_gr_lag1Xpre_wto imp_gr_lag1Xwto  
	chg_equal_fract_lag1Xwto wto i.cty_partner, nolog irr ;		

	
	
/* STRUCTURAL BREAK FOR RXR? */
test((pchg_rxr_lag1Xwto)-(pchg_rxr_lag1Xpre_wto))=0;

/* STRUCTURAL BREAK FOR domestic GDP CHANGE? */
test((rgdp_gr_lag1Xwto)-(rgdp_gr_lag1Xpre_wto))=0;

/* STRUCTURAL BREAK FOR FOREIGN GDP SHOCK? */
test((fgdp_gr_lag1Xwto)-(fgdp_gr_lag1Xpre_wto))=0;

/* STRUCTURAL BREAK FOR IMPORTS? */
test((imp_gr_lag1Xwto)-(imp_gr_lag1Xpre_wto))=0;
	

/* *********************** */
/* 6. G20 ONLY SUBSAMPLE FOR RGDP Growth, WTO INDICATOR, TARIFF BINDING */
/* *********************** */

#delimit;
clear;
use intermediate;	
keep if twithin(1988,2011);
keep if G20_emerging==1;

xi: nbreg all_init_prod_tariff pchg_rxr_lag1Xpre_wto pchg_rxr_lag1Xwto  
	rgdp_gr_lag1Xpre_wto  rgdp_gr_lag1Xwto 
	fgdp_gr_lag1Xpre_wto fgdp_gr_lag1Xwto  
	year 
	imp_gr_lag1Xpre_wto imp_gr_lag1Xwto  
	wto
	chg_equal_fract_lag1Xwto i.cty_partner, nolog irr ;		

	
/* STRUCTURAL BREAK FOR RXR? */
test((pchg_rxr_lag1Xwto)-(pchg_rxr_lag1Xpre_wto))=0;

/* STRUCTURAL BREAK FOR domestic GDP CHANGE? */
test((rgdp_gr_lag1Xwto)-(rgdp_gr_lag1Xpre_wto))=0;

/* STRUCTURAL BREAK FOR FOREIGN GDP SHOCK? */
test((fgdp_gr_lag1Xwto)-(fgdp_gr_lag1Xpre_wto))=0;

/* STRUCTURAL BREAK FOR IMPORTS? */
test((imp_gr_lag1Xwto)-(imp_gr_lag1Xpre_wto))=0;	
	

	
	keep if e(sample)==1;

		sort wto;
	
	by wto: sum all_init_prod_tariff all_init_prod ad_init_prod_tariff pchg_rxr_lag1 
	rgdp_gr_lag1
	chg_unemp_lag1
	fgdp_gr_lag1 
	year 
	imp_gr_lag1
	chg_equal_fract_lag1;
	
	
log close;

